package com.unis.sxzcl.widget;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentStatePagerAdapter;
import androidx.viewpager.widget.PagerAdapter;

import java.util.List;

/**
 *
 * 包名: com.cargocenter.app.widget
 * 类名: MyFragmentStatePagerAdapter
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/9/22 14:08
 * 更新人:
 * 更新时间: 2020/9/22 14:08
 * 更新说明:
 * 版本号: 1.0
 */
public class MyFragmentStatePagerAdapter extends FragmentStatePagerAdapter {

    List<Fragment> mFragments;

    public MyFragmentStatePagerAdapter(FragmentManager fm, List<Fragment> fragments) {
        super(fm);
        mFragments = fragments;
        notifyDataSetChanged();
    }

    @Override
    public Fragment getItem(int i) {
        return mFragments.get(i);
    }

    @Override
    public int getItemPosition(@NonNull Object object) {
        return PagerAdapter.POSITION_NONE;
    }

    @Override
    public int getCount() {
        return mFragments.size();
    }

}